Constraint (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.fwd

## Interface Constraint

- All Superinterfaces:
    Attribute

      public interface Constraint
      extends Attribute

  an elementary constraint over an attribute in a message. A constraint imposes a condition over the value of an attribute, and implicitly on the existance of an attribute with the same name. A constraint is defined by a triple (n,op,v), with a name n, a comparison operator op, and a comparison value v. Such a constraint is satisfied by a message m if and only if there exists an attribute a in m such that a.getName() equals n, and a.getValue() matches v according to operator op.
  See Also:
    `Filter`, `Value`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `ANY` any operator
    `static short` | `EQ` equality operator
    `static short` | `GE` greater o equal operator
    `static short` | `GT` greater than operator
    `static short` | `LE` less or equal operator
    `static short` | `LT` less than operator
    `static short` | `NE` not equal operator
    `static short` | `PF` has prefix operator (for strings only, e.g., "software" PF "soft") x Op.PF y iff x begins with the prefix y
    `static short` | `SF` has suffix operator (for strings only, e.g., "software" SF "ware") x Op.SF y iff x ends with the suffix y
    `static short` | `SS` substring operator (for strings only, e.g., "software" SS "war") x Op.SS y iff x contains the substring y

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getOperator()` the comparison operator valid values are defined in `Op`

    - ### Methods inherited from interface siena.fwd.Attribute

      `getName, getValue`

- - ### Field Detail

    - #### EQ

          static final short EQ

      equality operator
      See Also:
        Constant Field Values

    - #### LT

          static final short LT

      less than operator
      See Also:
        Constant Field Values

    - #### GT

          static final short GT

      greater than operator
      See Also:
        Constant Field Values

    - #### GE

          static final short GE

      greater o equal operator
      See Also:
        Constant Field Values

    - #### LE

          static final short LE

      less or equal operator
      See Also:
        Constant Field Values

    - #### PF

          static final short PF

      has prefix operator (for strings only, e.g., "software" PF "soft") x Op.PF y iff x begins with the prefix y
      See Also:
        Constant Field Values

    - #### SF

          static final short SF

      has suffix operator (for strings only, e.g., "software" SF "ware") x Op.SF y iff x ends with the suffix y
      See Also:
        Constant Field Values

    - #### ANY

          static final short ANY

      any operator
      See Also:
        Constant Field Values

    - #### NE

          static final short NE

      not equal operator
      See Also:
        Constant Field Values

    - #### SS

          static final short SS

      substring operator (for strings only, e.g., "software" SS "war") x Op.SS y iff x contains the substring y
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOperator

          short getOperator()

      the comparison operator valid values are defined in `Op`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga